body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: white;
}

#map {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 1;
}

#splash-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: white;
    z-index: 9999;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transition: opacity 0.8s ease, visibility 0.8s;
}

.logo-text {
    font-family: 'Segoe UI', sans-serif;
    font-size: 4rem;
    font-weight: 800;
    color: #2c3e50;
    margin-bottom: 60px;
    letter-spacing: -2px;
}

/* DER STATUS-BALKEN (Die Pille) */
#sync-status {
    position: fixed;
    /* Standard: Unten als Pille */
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10000;
    
    background: #3498db;
    color: white;
    padding: 10px 25px;
    border-radius: 30px;
    font-family: sans-serif;
    font-size: 13px;
    font-weight: bold;
    box-shadow: 0 4px 15px rgba(0,0,0,0.1);
    
    transition: all 0.7s cubic-bezier(0.4, 0, 0.2, 1);
    white-space: nowrap;
    text-align: center;
    border: none;
}

#splash-screen #sync-status {
    bottom: 40%; /* In die Mitte schieben */
    background: #f0f0f0;
    color: #555;
    min-width: 200px;
    box-shadow: none;
    border: 1px solid #ddd;
}
